Subject: RE: [External] : bug#55408: Explain the word "interactively" in the Emacs Manual

From: Drew Adams <[email-masked]>
Date: Sun, 15 May 2022 15:12:38 +0000

> We use this style in many doc strings.  I'd consider it a standard
> Emacs language of describing what happens in interactive invocations,
> and presume that any Emacs user knows only too well what it means.
> If we change our style, we'd have to change it in many places,
> including the manual.

I happen to agree with that, generally.  It's part
of what I meant by:

  There's maybe no magic bullet here: something short
  and sweet that can be repeated in most doc strings,
  but that also gets across everything about this:
  ...

> > > The very first line presented in the *Help* buffer says:
> > >   package-update-all is an interactive compiled Lisp function in
> > >   ‘package.el’.            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> >
> > I think it would probably be more helpful if that line said "a
> > command" instead of "an interactive compiled Lisp function".
> 
> It is both a command and a function.  Every command can be also
> invoked non-interactively.  That is what that sentence says, and has
> been saying since day one.

Agreed.  The "problem" is that the meaning might
not be clear to some (many?) users consulting a
doc string.

Whether it's worth trying to solve that problem,
with the attendant bother you mention (changing
lots of doc strings), and with the difficulty of
coming up with a short-and-sweet-and-clear fix,
which I mention, is another question.

IMO, things are pretty good already.  But yeah,
it's likely a bit of a problem, esp. for newbies.